# parameter-space-2d

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/tsmbland/parameter-space/HEAD?filepath=%2Fscripts/INDEX.ipynb)
[![CC BY 4.0][cc-by-shield]][cc-by]
[![PyPi version](https://badgen.net/pypi/v/parameter-space/)](https://pypi.org/project/parameter-space)

Functions for simulating cell polarity PDE models and performing parameter space analysis.

## Install instructions

    pip install parameter-space-2d

## Running notebooks

The repository contains a series of notebooks with an explanation of the methods, and instructions for running
simulations and performing analysis. 

To run in the cloud, click 'launch binder' above.

To run on your local machine, follow these steps:

&#8291;1. Clone the repository:

    git clone https://github.com/tsmbland/parameter-space-2d.git
    cd parameter-space-2d

&#8291;2. Create conda environment:

    conda env create -f environment.yml

&#8291;3. Activate conda environment:

    conda activate parameter-space-2d

&#8291;4. Open jupyter notebooks:

    jupyter notebook scripts/INDEX.ipynb


## License

This work is licensed under a
[Creative Commons Attribution 4.0 International License][cc-by].

[![CC BY 4.0][cc-by-image]][cc-by]

[cc-by]: http://creativecommons.org/licenses/by/4.0/

[cc-by-image]: https://i.creativecommons.org/l/by/4.0/88x31.png

[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg

